﻿using System.Collections.Generic;
using System.Collections.Specialized;

namespace Infragitstics.MotionFramework.MotionFramework
{
    public class ItemsSource<T> : List<T>, INotifyCollectionChanged
    {
        public void Refresh()
        {
            if (CollectionChanged != null)
            {
                CollectionChanged(this, new NotifyCollectionChangedEventArgs(NotifyCollectionChangedAction.Reset));
            }
        }

        public event NotifyCollectionChangedEventHandler CollectionChanged;
    }
}
